; Sketchy Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the Sketchy distribution
; for conditions of use.

; ---name---
; char<?

; ---conformance---
; R5RS

; ---purpose---
; Test whether two chars are in lexically ascending order.

; ---args---
; X - char
; Y - char

; ---keywords---
; CHAR<? function, chars, characters, comparison
; lexical order, ascending

; ---see-also---
; char-ci<?, char=?, char>?, char<=?, char>=?, string<?, equal?

; ---example---
; (char<? #\a #\b) => #t

(define cltp #t)

;c less.l <

; ---model---
; (define char<? (lambda (x y)
;   (< (char->integer x)
;      (char->integer y))))

; ---code---
; This function is a primitive function.

