; Sketchy Example Program
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the Sketchy distribution
; for conditions of use.

; ---name---
; fact

; ---conformance---
; Sketchy Extension

; ---purpose---
; Compute X!. X must be a positive integer.

; ---args---
; X - number

; ---keywords---
; FAC function, factorial

; ---see-also---
; digits, expt, gcd, product, sum

; ---example---
; (fact 5) => 120

;c lib/digits.l
;c lib/zerop.l zero?
;c lib/negativep.l negative?

; ---code---
(define (fact x) 
  (cond ((negative? x)
      (bottom (list 'fact x)))
    ((zero? x) 1)
    (#t (* x (fact (- x 1))))))

