; Sketchy Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the Sketchy distribution
; for conditions of use.

; ---name---
; quotient

; ---conformance---
; R5RS

; ---purpose---
; Divide two numbers, returning their integer quotient.

; ---args---
; A - number (dividend)
; B - number (divisor)

; ---keywords---
; QUOTIENT function, quotient, divide, division, arithmetics

; ---see-also---
; digits, remainder, modulo, divide, +, -, *, nquotient

; ---example---
; (quotient 123 -23) => -5

(define quotient #t)

:c divide.l

; ---code---
(define (quotient a b)
  (car (divide a b)))

