; Sketchy Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the Sketchy distribution
; for conditions of use.

; ---name---
; string>=?

; ---conformance---
; R5RS

; ---purpose---
; Test whether two strings are in non-ascending lexical order.

; ---args---
; X - string
; Y - string

; ---keywords---
; STRING>=? function, strings, comparison, lexical order,
; non-ascending

; ---see-also---
; string-ci>=?, string<?, string=?, string>?, string<=?, char>=?, equal?

; ---example---
; (string>=? "xyz" "xyz") => #t

(define sgep #t)

:c sltp.l string<?

; ---code---
(define (string>=? x y)
  (eq? (string<? x y) #f))

